Foreman - Feature #3971

Show a warning when PXE template is edited
01/08/2014 10:44 AM - Lukas Zapletal

Status: Closed
Priority: Normal
Assignee: Ondrej Prazak
Category: Templates
Target version: 1.10.0
Difficulty: easy Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2501
Description

Show a warning when PXE template is edited and the template has some associated hosts in build mode. The warning box should
read something like:

The template has hosts in build mode associated, to apply the change trigger building mode again.

| was testing RHEL7 provisioning for two days not realizing the fact that PXE templates needs to be re-rendered. | was rebooting
over and over again with the same (incorrect) kernel options :-)

Related issues:
Related to Foreman - Feature #2267: Need rake task and/or Ul button for rebui... Closed 03/01/2013
Related to Foreman - Bug #11283: Template form does not work with template wh... Closed 08/04/2015

Associated revisions

Revision a377f776 - 07/09/2015 07:32 AM - Ondrej Prazak

Fixes #3971 - warning shown when PXE template is edited and has hosts in build mode

History

#1 - 06/30/2015 08:58 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/2501 added

#2 - 06/30/2015 10:48 AM - Dominic Cleal
- Related to Feature #2267: Need rake task and/or Ul button for rebuilding all host tftp config files added

#3 - 07/09/2015 07:22 AM - Dominic Cleal
- Assignee set to Ondrej Prazak

- translation missing: en.field_release set to 63

#4 - 07/09/2015 08:01 AM - Ondfej Prazak
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset a377f776e51d6b046ad0d28a56d1427777a51797.

#5 - 08/04/2015 06:58 AM - Dominic Cleal

- Related to Bug #11283: Template form does not work with template which does not define operatingsystem association added
